Payments
Retrieve Issuers
Retrieves the list of issuers that support a specific payment method.
GET
/
issuers
Retrieve Issuers
curl --request GET \
--url https://api-sandbox.y.uno/v1/issuers \
--header 'private-secret-key: <api-key>' \
--header 'public-api-key: <api-key>'import requests
url = "https://api-sandbox.y.uno/v1/issuers"
headers = {
"public-api-key": "<api-key>",
"private-secret-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'public-api-key': '<api-key>', 'private-secret-key': '<api-key>'}
};
fetch('https://api-sandbox.y.uno/v1/issuers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.y.uno/v1/issuers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"private-secret-key: <api-key>",
"public-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.y.uno/v1/issuers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("public-api-key", "<api-key>")
req.Header.Add("private-secret-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.y.uno/v1/issuers")
.header("public-api-key", "<api-key>")
.header("private-secret-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.y.uno/v1/issuers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["public-api-key"] = '<api-key>'
request["private-secret-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"issuers": [
{
"id": "1007",
"name": "BANCOLOMBIA"
}
]
}{
"issuers": [
{
"id": "1001",
"name": "BANCO DE BOGOTÁ"
},
{
"id": "1002",
"name": "BANCO POPULAR"
},
{
"id": "1005",
"name": "BANCO UNIÓN COLOMBIANO FD2"
},
{
"id": "1006",
"name": "ITAÚ"
},
{
"id": "1007",
"name": "BANCOLOMBIA"
},
{
"id": "1009",
"name": "CITIBANK"
},
{
"id": "1012",
"name": "BANCO GNB SUDAMERIS"
},
{
"id": "1013",
"name": "BBVA COLOMBIA S.A."
},
{
"id": "1019",
"name": "SCOTIABANK COLPATRIA DESARROLLO"
},
{
"id": "1022",
"name": "BANCO UNIÓN COLOMBIANO"
},
{
"id": "1023",
"name": "BANCO DE OCCIDENTE"
},
{
"id": "1032",
"name": "BANCO CAJA SOCIAL DESARROLLO"
},
{
"id": "1040",
"name": "BANCO AGRARIO"
},
{
"id": "1051",
"name": "BANCO DAVIVIENDA"
},
{
"id": "1052",
"name": "BANCO COMERCIAL AV VILLAS S.A."
},
{
"id": "1059",
"name": "BANCAMÍA"
},
{
"id": "1060",
"name": "BANCO PICHINCHA S.A."
},
{
"id": "1061",
"name": "BANCO COOMEVA S.A."
},
{
"id": "1062",
"name": "BANCO FALABELLA"
},
{
"id": "1063",
"name": "BANCO FINANDINA S.A. BIC"
},
{
"id": "1065",
"name": "BANCO SANTANDER COLOMBIA"
},
{
"id": "1066",
"name": "BANCO COOPERATIVO COOPCENTRAL"
},
{
"id": "1069",
"name": "BANCO SERFINANZA"
},
{
"id": "1070",
"name": "LULO BANK"
},
{
"id": "1078",
"name": "SCOTIABANK COLPATRIA UAT"
},
{
"id": "1097",
"name": "DALE"
},
{
"id": "1283",
"name": "COOPERATIVA FINANCIERA DE ANTIOQUIA CFA"
},
{
"id": "1289",
"name": "COOPERATIVA FINANCIERA COTRAFA"
},
{
"id": "1291",
"name": "COOFINEP COOPERATIVA FINANCIERA"
},
{
"id": "1292",
"name": "CONFIAR COOPERATIVA FINANCIERA"
},
{
"id": "1370",
"name": "COLTEFINANCIERA"
},
{
"id": "1637",
"name": "IRIS"
},
{
"id": "1801",
"name": "MOVII S.A."
},
{
"id": "1802",
"name": "DING TECNIPAGOS S.A."
},
{
"id": "1803",
"name": "POWWI"
},
{
"id": "1804",
"name": "UALÁ"
},
{
"id": "1808",
"name": "BOLD CF"
},
{
"id": "1809",
"name": "NU"
},
{
"id": "1811",
"name": "RAPPIPAY"
},
{
"id": "1812",
"name": "COINK S.A."
}
]
}{
"code": "INVALID_REQUEST",
"messages": [
"Invalid request"
]
}This endpoint retrieves a list of all issuers that support the specific payment method. It allows you to filter issuers based on their compatibility with a particular payment method.
The API answers 201 for every
payment_method except PSE, which answers 200. For example, country_code=CO&payment_method=NEQUI answers 201 and country_code=CO&payment_method=PSE answers 200.Authorizations
Query Parameters
The checkout session identifier (UUID, 36 chars).
Example:
"9f1c2b7e-5a3d-4e8b-9c6a-1d2e3f4a5b6c"
Country code (ISO 3166-1).
Example:
"CO"
Defines the payment method used to filter issuers. This parameter ensures the response includes only issuers that support the specified payment method. Examples: NEQUI (answers 201), PSE (answers 200).
Example:
"NEQUI"
Response
Returned only when payment_method is PSE. The body has the same shape as the 201 response.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Retrieve Issuers
curl --request GET \
--url https://api-sandbox.y.uno/v1/issuers \
--header 'private-secret-key: <api-key>' \
--header 'public-api-key: <api-key>'import requests
url = "https://api-sandbox.y.uno/v1/issuers"
headers = {
"public-api-key": "<api-key>",
"private-secret-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'public-api-key': '<api-key>', 'private-secret-key': '<api-key>'}
};
fetch('https://api-sandbox.y.uno/v1/issuers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.y.uno/v1/issuers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"private-secret-key: <api-key>",
"public-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.y.uno/v1/issuers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("public-api-key", "<api-key>")
req.Header.Add("private-secret-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.y.uno/v1/issuers")
.header("public-api-key", "<api-key>")
.header("private-secret-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.y.uno/v1/issuers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["public-api-key"] = '<api-key>'
request["private-secret-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"issuers": [
{
"id": "1007",
"name": "BANCOLOMBIA"
}
]
}{
"issuers": [
{
"id": "1001",
"name": "BANCO DE BOGOTÁ"
},
{
"id": "1002",
"name": "BANCO POPULAR"
},
{
"id": "1005",
"name": "BANCO UNIÓN COLOMBIANO FD2"
},
{
"id": "1006",
"name": "ITAÚ"
},
{
"id": "1007",
"name": "BANCOLOMBIA"
},
{
"id": "1009",
"name": "CITIBANK"
},
{
"id": "1012",
"name": "BANCO GNB SUDAMERIS"
},
{
"id": "1013",
"name": "BBVA COLOMBIA S.A."
},
{
"id": "1019",
"name": "SCOTIABANK COLPATRIA DESARROLLO"
},
{
"id": "1022",
"name": "BANCO UNIÓN COLOMBIANO"
},
{
"id": "1023",
"name": "BANCO DE OCCIDENTE"
},
{
"id": "1032",
"name": "BANCO CAJA SOCIAL DESARROLLO"
},
{
"id": "1040",
"name": "BANCO AGRARIO"
},
{
"id": "1051",
"name": "BANCO DAVIVIENDA"
},
{
"id": "1052",
"name": "BANCO COMERCIAL AV VILLAS S.A."
},
{
"id": "1059",
"name": "BANCAMÍA"
},
{
"id": "1060",
"name": "BANCO PICHINCHA S.A."
},
{
"id": "1061",
"name": "BANCO COOMEVA S.A."
},
{
"id": "1062",
"name": "BANCO FALABELLA"
},
{
"id": "1063",
"name": "BANCO FINANDINA S.A. BIC"
},
{
"id": "1065",
"name": "BANCO SANTANDER COLOMBIA"
},
{
"id": "1066",
"name": "BANCO COOPERATIVO COOPCENTRAL"
},
{
"id": "1069",
"name": "BANCO SERFINANZA"
},
{
"id": "1070",
"name": "LULO BANK"
},
{
"id": "1078",
"name": "SCOTIABANK COLPATRIA UAT"
},
{
"id": "1097",
"name": "DALE"
},
{
"id": "1283",
"name": "COOPERATIVA FINANCIERA DE ANTIOQUIA CFA"
},
{
"id": "1289",
"name": "COOPERATIVA FINANCIERA COTRAFA"
},
{
"id": "1291",
"name": "COOFINEP COOPERATIVA FINANCIERA"
},
{
"id": "1292",
"name": "CONFIAR COOPERATIVA FINANCIERA"
},
{
"id": "1370",
"name": "COLTEFINANCIERA"
},
{
"id": "1637",
"name": "IRIS"
},
{
"id": "1801",
"name": "MOVII S.A."
},
{
"id": "1802",
"name": "DING TECNIPAGOS S.A."
},
{
"id": "1803",
"name": "POWWI"
},
{
"id": "1804",
"name": "UALÁ"
},
{
"id": "1808",
"name": "BOLD CF"
},
{
"id": "1809",
"name": "NU"
},
{
"id": "1811",
"name": "RAPPIPAY"
},
{
"id": "1812",
"name": "COINK S.A."
}
]
}{
"code": "INVALID_REQUEST",
"messages": [
"Invalid request"
]
}